<?php
/**
 * Copyright 2010, 2011 pixeltricks GmbH
 *
 * This file is part of SilvercartPdfInvoice.
 *
 * SilvercartPdfInvoice is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SilvercartPdfInvoice is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with SilvercartPdfInvoice.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package Silvercart
 * @subpackage PdfInvoice
 */

/**
 * FileWrapper for PDFs
 * 
 * @package Silvercart
 * @subpackage PdfInvoice
 * @author Sebastian Diel <sdiel@pixeltricks.de>
 * @copyright 2011 pixeltricks GmbH
 * @since 18.05.2011
 * @license http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 */
class SilvercartPdfInvoiceFile extends File {
    
    /**
     * Returns the translated singular name of the object. If no translation exists
     * the class name will be returned.
     * 
     * @return string The objects singular name
     * 
     * @author Sebastian Diel <sdiel@pixeltricks.de>
     * @since 26.08.2011
     */
    public function singular_name() {
        if (_t('SilvercartPdfInvoiceFile.SINGULARNAME')) {
            return _t('SilvercartPdfInvoiceFile.SINGULARNAME');
        } else {
            return parent::singular_name();
        } 
    }
    
    /**
     * Returns the translated plural name of the object. If no translation exists
     * the class name will be returned.
     * 
     * @return string the objects plural name
     * 
     * @author Sebastian Diel <sdiel@pixeltricks.de>
     * @since 26.08.2011
     */
    public function plural_name() {
        if (_t('SilvercartPdfInvoiceFile.PLURALNAME')) {
            return _t('SilvercartPdfInvoiceFile.PLURALNAME');
        } else {
            return parent::plural_name();
        }   
    }
    
}