<?php
/**
 * Copyright 2010, 2011 pixeltricks GmbH
 *
 * This file is part of SilverCart.
 *
 * SilverCart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SilverCart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with SilverCart.  If not, see <http://www.gnu.org/licenses/>.
 *
 * German (Germany) language pack
 * 
 * @package Silvercart
 * @subpackage i18n
 * @ignore
 */

i18n::include_locale_file('silvercart', 'en_US');

global $lang;

if (array_key_exists('de_DE', $lang) && is_array($lang['de_DE'])) {
    $lang['de_DE'] = array_merge($lang['en_US'], $lang['de_DE']);
} else {
    $lang['de_DE'] = $lang['en_US'];
}

$lang['de_DE']['SilvercartPdfInvoiceConfig']['PLURALNAME'] = 'PDF Rechnungen';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['SINGULARNAME'] = 'PDF Rechnung';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['INVOICENUMBER'] = 'Rechnungsnummer';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['INVOICENUMBER_SHORT'] = 'Rechnungs-Nr.';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT'] = 'Layout';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_FOOTER'] = 'Layout Fußzeile';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_FOOTER_1'] = 'Logo + 3 Spalten';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_FOOTER_2'] = '4 Spalten';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_FOOTER_COLUMN1'] = 'Inhalt Fußzeile Spalte 1';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_FOOTER_COLUMN2'] = 'Inhalt Fußzeile Spalte 2';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_FOOTER_COLUMN3'] = 'Inhalt Fußzeile Spalte 3';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_FOOTER_COLUMN4'] = 'Inhalt Fußzeile Spalte 4';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_LOGO'] = 'Ihr Logo für die Anzeige in der Rechnung';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_LOGO_POSITION'] = 'Anzeigeposition Ihres Logos';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['LAYOUT_SENDER_ADDRESS'] = 'Adresse des Rechnungsabsenders (wird als eine Zeile über der Empfängeradresse angezeigt)';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['SECURITY'] = 'Sicherheit';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['SECURITY_DELETE_AFTER_SENDING'] = 'PDF Rechnung nach dem E-Mail-Versand löschen';
$lang['de_DE']['SilvercartPdfInvoiceConfig']['SECURITY_PROTECTED_PATH'] = 'Absoluter Pfad eines sicheren Serververzeichnisses zur Ablage der PDF Rechnungen (außerhalb der HTTP Wurzel-Verzeichnisses)';

$lang['de_DE']['SilvercartPdfInvoiceFile']['PLURALNAME'] = 'PDF Rechnungen';
$lang['de_DE']['SilvercartPdfInvoiceFile']['SINGULARNAME'] = 'PDF Rechnung';

$lang['de_DE']['SilvercartPdfInvoice']['INVOICE'] = 'RECHNUNG';