<?php
/**
 * Copyright 2011 pixeltricks GmbH
 *
 * This file is part of SilverCart.
 *
 * SilverCart is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SilverCart is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with SilverCart.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package SilvercartShipmentDhl
 * @subpackage Base
 */

/**
 * Contains one field for the Silvercart order export. One or more fields are
 * connected to an exporter.
 *
 * @package SilvercartShipmentDhl
 * @subpackage Base
 * @copyright pixeltricks GmbH
 * @author Sascha Koehler <skoehler@pixeltricks.de>
 * @since 02.08.2011
 * @license http://www.gnu.org/licenses/lgpl.html GNU Lesser General Public License
 */
class SilvercartShipmentDhlField extends DataObject {
    
    /**
     * Attributes
     *
     * @var array
     *
     * @author Sascha Koehler <skoehler@pixeltricks.de>
     * @since 02.08.2011
     */
    public static $db = array(
        'name'                                  => 'VarChar(255)',
        'headerTitle'                           => 'VarChar(255)',
        'sortOrder'                             => 'Int',
        'isCallbackField'                       => 'Boolean(0)',
        'defaultValue'                          => 'Text'
    );
    
    /**
     * Has-one relationships.
     *
     * @var array
     *
     * @author Sascha Koehler <skoehler@pixeltricks.de>
     * @since 02.08.2011
     */
    public static $has_one = array(
        'SilvercartShipmentDhl' => 'SilvercartShipmentDhl'
    );
}